#pragma once 

class CMultimediaTimer {
private:
	UINT _timerRes;
	DWORD _timerId;

public:
	CMultimediaTimer ();
	~CMultimediaTimer ();

	virtual void OnTimer (UINT timerId, UINT msg) { }

	void Start (UINT executionPeriod);
	void Stop ();
	bool IsRunning () { return _timerId != -1; }

	static DWORD GetTime ();
	static void Sleep (DWORD ms);

public:
	UINT _period;	// ms
};
